summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEarnestly2015-09-25 13:21:41 +0100
committerEarnestly2015-09-25 13:21:41 +0100
commit078ace91e6c897437d556a331adbf8d05b1ca33a (patch)
tree35447802bbabfd9b36df41335f0ca7ed00d8ba67
parent4646ebedb453a4202adbb61942e1a2069714bf2c (diff)
downloadaur-078ace91e6c897437d556a331adbf8d05b1ca33a.tar.gz
wlc: Add needful xcb-util-image build/optional dependency for xwayland support.
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD12
2 files changed, 12 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2e9d5cb3f95..d862534731a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = wlc-git
pkgdesc = Wayland compositor library.
- pkgver = r780.6d0aebe
+ pkgver = r789.c8e2f3e
pkgrel = 1
url = https://github.com/Cloudef/wlc
arch = i686
@@ -11,14 +11,16 @@ pkgbase = wlc-git
makedepends = libx11
makedepends = libxcb
makedepends = libgl
+ makedepends = xcb-util-image
depends = wayland
depends = pixman
depends = libxkbcommon
depends = libinput
- optdepends = mesa: For optional platform support (GLESv2, EGL, DRM)
- optdepends = nvidia: For optional platform support (GLESv2, EGL)
optdepends = libx11: Running the compositor as an Xorg client
optdepends = libxcb: Running the compositor as an Xorg client
+ optdepends = mesa: For optional platform support (GLESv2, EGL, DRM)
+ optdepends = nvidia: For optional platform support (GLESv2, EGL)
+ optdepends = xcb-util-image: Needed for xwayland support.
provides = wlc
conflicts = wlc
options = debug
diff --git a/PKGBUILD b/PKGBUILD
index b076696273c..f1f1963b743 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=wlc-git
-pkgver=r780.6d0aebe
+pkgver=r789.c8e2f3e
pkgrel=1
pkgdesc='Wayland compositor library.'
@@ -8,11 +8,13 @@ arch=('i686' 'x86_64')
license=('GPL')
depends=('wayland' 'pixman' 'libxkbcommon' 'libinput')
-makedepends=('git' 'cmake' 'libx11' 'libxcb' 'libgl')
-optdepends=('mesa: For optional platform support (GLESv2, EGL, DRM)'
+makedepends=('git' 'cmake' 'libx11' 'libxcb' 'libgl' 'xcb-util-image')
+
+optdepends=('libx11: Running the compositor as an Xorg client'
+ 'libxcb: Running the compositor as an Xorg client'
+ 'mesa: For optional platform support (GLESv2, EGL, DRM)'
'nvidia: For optional platform support (GLESv2, EGL)'
- 'libx11: Running the compositor as an Xorg client'
- 'libxcb: Running the compositor as an Xorg client')
+ 'xcb-util-image: Needed for xwayland support.')
provides=('wlc')
conflicts=('wlc')